summaryrefslogtreecommitdiffstats
path: root/debian/pciutils.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:24:33 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 09:24:33 +0000
commit2459d9471afbe2b019744f4335f66025b73965de (patch)
treecc611a48837b355ff21f8e3715fab4f93e29ac43 /debian/pciutils.postinst
parentAdding upstream version 1:3.9.0. (diff)
downloadpciutils-debian.tar.xz
pciutils-debian.zip
Adding debian version 1:3.9.0-4.debian/1%3.9.0-4debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/pciutils.postinst23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/pciutils.postinst b/debian/pciutils.postinst
new file mode 100644
index 0000000..5c780fb
--- /dev/null
+++ b/debian/pciutils.postinst
@@ -0,0 +1,23 @@
+#!/bin/sh
+# postinst script for pciutils
+
+set -e
+
+case "$1" in
+configure)
+ for ext in new neww old
+ do
+ rm -f /usr/share/misc/pci.ids.$ext
+ done
+ ;;
+abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+*)
+ echo "postinst called with unknown argument '$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0